<?php add_action( 'vc_before_init', 'dt_sc_portfolio_item_vc_map' );
function dt_sc_portfolio_item_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Single Portfolio Item", 'dental-core' ),
		"base" => "dt_sc_portfolio_item",
		"icon" => "dt_sc_portfolio_item",
		"category" => DT_VC_CATEGORY,
		"params" => array(

			// Post ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'ID', 'dental-core' ),
				'param_name' => 'id',
				'description' => esc_html__( 'Enter post ID', 'dental-core' ),
				'admin_label' => true
			),

			// Post style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Style','dental-core'),
				'param_name' => 'style',
				'value' => array(
					esc_html__('Modern Title','dental-core') => 'type1', 
					esc_html__('Title & Icons Overlay','dental-core') => 'type2', 
					esc_html__('Title Overlay','dental-core') => 'type3', 
					esc_html__('Icons Only','dental-core') => 'type4', 
					esc_html__('Classic','dental-core') => 'type5', 
					esc_html__('Minimal Icons','dental-core') => 'type6', 
					esc_html__('Presentation','dental-core') => 'type7', 
					esc_html__('Girly','dental-core') => 'type8', 
					esc_html__('Art','dental-core') => 'type9' 
				),
				'std' => 'type1'
			)
		)
	) );
}?>